diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/mpi/model/distributed-simulator-impl.h ns-3.43/src/mpi/model/distributed-simulator-impl.h
--- ns-3.42/src/mpi/model/distributed-simulator-impl.h	2024-05-29 15:29:47.136073600 -0700
+++ ns-3.43/src/mpi/model/distributed-simulator-impl.h	2024-10-09 16:41:10.060656500 -0700
@@ -1,16 +1,5 @@
 /*
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: George Riley <riley@ece.gatech.edu>
  *
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/mpi/model/granted-time-window-mpi-interface.cc ns-3.43/src/mpi/model/granted-time-window-mpi-interface.cc
--- ns-3.42/src/mpi/model/granted-time-window-mpi-interface.cc	2024-05-29 15:29:47.136073600 -0700
+++ ns-3.43/src/mpi/model/granted-time-window-mpi-interface.cc	2024-10-09 16:41:10.060656500 -0700
@@ -1,16 +1,5 @@
 /*
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: George Riley <riley@ece.gatech.edu>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/mpi/model/granted-time-window-mpi-interface.h ns-3.43/src/mpi/model/granted-time-window-mpi-interface.h
--- ns-3.42/src/mpi/model/granted-time-window-mpi-interface.h	2024-05-29 15:29:47.136073600 -0700
+++ ns-3.43/src/mpi/model/granted-time-window-mpi-interface.h	2024-10-09 16:41:10.060656500 -0700
@@ -1,16 +1,5 @@
 /*
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: George Riley <riley@ece.gatech.edu>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/mpi/model/mpi-interface.cc ns-3.43/src/mpi/model/mpi-interface.cc
--- ns-3.42/src/mpi/model/mpi-interface.cc	2024-05-29 15:29:47.136073600 -0700
+++ ns-3.43/src/mpi/model/mpi-interface.cc	2024-10-09 16:41:10.060656500 -0700
@@ -1,18 +1,7 @@
 /*
  *  Copyright 2013. Lawrence Livermore National Security, LLC.
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Steven Smith <smith84@llnl.gov>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/mpi/model/mpi-interface.h ns-3.43/src/mpi/model/mpi-interface.h
--- ns-3.42/src/mpi/model/mpi-interface.h	2024-05-29 15:29:47.140073500 -0700
+++ ns-3.43/src/mpi/model/mpi-interface.h	2024-10-09 16:41:10.060656500 -0700
@@ -1,18 +1,7 @@
 /*
  *  Copyright 2013. Lawrence Livermore National Security, LLC.
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Steven Smith <smith84@llnl.gov>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/mpi/model/mpi-receiver.cc ns-3.43/src/mpi/model/mpi-receiver.cc
--- ns-3.42/src/mpi/model/mpi-receiver.cc	2024-05-29 15:29:47.140073500 -0700
+++ ns-3.43/src/mpi/model/mpi-receiver.cc	2024-10-09 16:41:10.060656500 -0700
@@ -1,16 +1,5 @@
 /*
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: George Riley <riley@ece.gatech.edu>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/mpi/model/mpi-receiver.h ns-3.43/src/mpi/model/mpi-receiver.h
--- ns-3.42/src/mpi/model/mpi-receiver.h	2024-05-29 15:29:47.140073500 -0700
+++ ns-3.43/src/mpi/model/mpi-receiver.h	2024-10-09 16:41:10.060656500 -0700
@@ -1,16 +1,5 @@
 /*
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: George Riley <riley@ece.gatech.edu>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/mpi/model/null-message-mpi-interface.cc ns-3.43/src/mpi/model/null-message-mpi-interface.cc
--- ns-3.42/src/mpi/model/null-message-mpi-interface.cc	2024-05-29 15:29:47.140073500 -0700
+++ ns-3.43/src/mpi/model/null-message-mpi-interface.cc	2024-10-09 16:41:10.060656500 -0700
@@ -1,18 +1,7 @@
 /*
  *  Copyright 2013. Lawrence Livermore National Security, LLC.
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Steven Smith <smith84@llnl.gov>
  *
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/mpi/model/null-message-mpi-interface.h ns-3.43/src/mpi/model/null-message-mpi-interface.h
--- ns-3.42/src/mpi/model/null-message-mpi-interface.h	2024-05-29 15:29:47.140073500 -0700
+++ ns-3.43/src/mpi/model/null-message-mpi-interface.h	2024-10-09 16:41:10.060656500 -0700
@@ -1,18 +1,7 @@
 /*
  *  Copyright 2013. Lawrence Livermore National Security, LLC.
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Steven Smith <smith84@llnl.gov>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/mpi/model/null-message-simulator-impl.cc ns-3.43/src/mpi/model/null-message-simulator-impl.cc
--- ns-3.42/src/mpi/model/null-message-simulator-impl.cc	2024-05-29 15:29:47.140073500 -0700
+++ ns-3.43/src/mpi/model/null-message-simulator-impl.cc	2024-10-09 16:41:10.060656500 -0700
@@ -1,18 +1,7 @@
 /*
  *  Copyright 2013. Lawrence Livermore National Security, LLC.
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Steven Smith <smith84@llnl.gov>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/mpi/model/null-message-simulator-impl.h ns-3.43/src/mpi/model/null-message-simulator-impl.h
--- ns-3.42/src/mpi/model/null-message-simulator-impl.h	2024-05-29 15:29:47.140073500 -0700
+++ ns-3.43/src/mpi/model/null-message-simulator-impl.h	2024-10-09 16:41:10.060656500 -0700
@@ -1,18 +1,7 @@
 /*
  *  Copyright 2013. Lawrence Livermore National Security, LLC.
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Steven Smith <smith84@llnl.gov>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/mpi/model/parallel-communication-interface.h ns-3.43/src/mpi/model/parallel-communication-interface.h
--- ns-3.42/src/mpi/model/parallel-communication-interface.h	2024-05-29 15:29:47.140073500 -0700
+++ ns-3.43/src/mpi/model/parallel-communication-interface.h	2024-10-09 16:41:10.060656500 -0700
@@ -1,18 +1,7 @@
 /*
  *  Copyright 2013. Lawrence Livermore National Security, LLC.
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Steven Smith <smith84@llnl.gov>
  *
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/mpi/model/remote-channel-bundle.cc ns-3.43/src/mpi/model/remote-channel-bundle.cc
--- ns-3.42/src/mpi/model/remote-channel-bundle.cc	2024-05-29 15:29:47.140073500 -0700
+++ ns-3.43/src/mpi/model/remote-channel-bundle.cc	2024-10-09 16:41:10.060656500 -0700
@@ -1,18 +1,7 @@
 /*
  *  Copyright 2013. Lawrence Livermore National Security, LLC.
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Steven Smith <smith84@llnl.gov>
  *
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/mpi/model/remote-channel-bundle.h ns-3.43/src/mpi/model/remote-channel-bundle.h
--- ns-3.42/src/mpi/model/remote-channel-bundle.h	2024-05-29 15:29:47.140073500 -0700
+++ ns-3.43/src/mpi/model/remote-channel-bundle.h	2024-10-09 16:41:10.060656500 -0700
@@ -1,18 +1,7 @@
 /*
  *  Copyright 2013. Lawrence Livermore National Security, LLC.
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Steven Smith <smith84@llnl.gov>
  *
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/mpi/model/remote-channel-bundle-manager.cc ns-3.43/src/mpi/model/remote-channel-bundle-manager.cc
--- ns-3.42/src/mpi/model/remote-channel-bundle-manager.cc	2024-05-29 15:29:47.140073500 -0700
+++ ns-3.43/src/mpi/model/remote-channel-bundle-manager.cc	2024-10-09 16:41:10.060656500 -0700
@@ -1,18 +1,7 @@
 /*
  *  Copyright 2013. Lawrence Livermore National Security, LLC.
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Steven Smith <smith84@llnl.gov>
  *
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/mpi/model/remote-channel-bundle-manager.h ns-3.43/src/mpi/model/remote-channel-bundle-manager.h
--- ns-3.42/src/mpi/model/remote-channel-bundle-manager.h	2024-05-29 15:29:47.140073500 -0700
+++ ns-3.43/src/mpi/model/remote-channel-bundle-manager.h	2024-10-09 16:41:10.060656500 -0700
@@ -1,18 +1,7 @@
 /*
  *  Copyright 2013. Lawrence Livermore National Security, LLC.
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Steven Smith <smith84@llnl.gov>
  *
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/mpi/test/mpi-test-suite.cc ns-3.43/src/mpi/test/mpi-test-suite.cc
--- ns-3.42/src/mpi/test/mpi-test-suite.cc	2024-05-29 15:29:47.140073500 -0700
+++ ns-3.43/src/mpi/test/mpi-test-suite.cc	2024-10-09 16:41:10.060656500 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2018 Lawrence Livermore National Laboratory
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Peter D. Barnes, Jr. <pdbarnes@llnl.gov>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/netanim/examples/colors-link-description.cc ns-3.43/src/netanim/examples/colors-link-description.cc
--- ns-3.42/src/netanim/examples/colors-link-description.cc	2024-05-29 15:29:47.144073700 -0700
+++ ns-3.43/src/netanim/examples/colors-link-description.cc	2024-10-09 16:41:10.068656400 -0700
@@ -1,16 +1,5 @@
 /*
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: John Abraham <john.abraham.in@gmail.com>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/netanim/examples/dumbbell-animation.cc ns-3.43/src/netanim/examples/dumbbell-animation.cc
--- ns-3.42/src/netanim/examples/dumbbell-animation.cc	2024-05-29 15:29:47.144073700 -0700
+++ ns-3.43/src/netanim/examples/dumbbell-animation.cc	2024-10-09 16:41:10.068656400 -0700
@@ -1,16 +1,5 @@
 /*
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: George F. Riley<riley@ece.gatech.edu>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/netanim/examples/grid-animation.cc ns-3.43/src/netanim/examples/grid-animation.cc
--- ns-3.42/src/netanim/examples/grid-animation.cc	2024-05-29 15:29:47.144073700 -0700
+++ ns-3.43/src/netanim/examples/grid-animation.cc	2024-10-09 16:41:10.068656400 -0700
@@ -1,16 +1,5 @@
 /*
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Josh Pelkey <jpelkey@gatech.edu>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/netanim/examples/resources-counters.cc ns-3.43/src/netanim/examples/resources-counters.cc
--- ns-3.42/src/netanim/examples/resources-counters.cc	2024-05-29 15:29:47.144073700 -0700
+++ ns-3.43/src/netanim/examples/resources-counters.cc	2024-10-09 16:41:10.068656400 -0700
@@ -1,16 +1,5 @@
 /*
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: John Abraham <john.abraham.in@gmail.com>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/netanim/examples/star-animation.cc ns-3.43/src/netanim/examples/star-animation.cc
--- ns-3.42/src/netanim/examples/star-animation.cc	2024-05-29 15:29:47.144073700 -0700
+++ ns-3.43/src/netanim/examples/star-animation.cc	2024-10-09 16:41:10.068656400 -0700
@@ -1,16 +1,5 @@
 /*
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  */
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/netanim/examples/uan-animation.cc ns-3.43/src/netanim/examples/uan-animation.cc
--- ns-3.42/src/netanim/examples/uan-animation.cc	2024-05-29 15:29:47.144073700 -0700
+++ ns-3.43/src/netanim/examples/uan-animation.cc	2024-10-09 16:41:10.068656400 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2010 Andrea Sacco
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Andrea Sacco <andrea.sacco85@gmail.com>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/netanim/examples/uan-animation.h ns-3.43/src/netanim/examples/uan-animation.h
--- ns-3.42/src/netanim/examples/uan-animation.h	2024-05-29 15:29:47.144073700 -0700
+++ ns-3.43/src/netanim/examples/uan-animation.h	2024-10-09 16:41:10.068656400 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2010 Andrea Sacco
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Andrea Sacco <andrea.sacco85@gmail.com>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/netanim/examples/wireless-animation.cc ns-3.43/src/netanim/examples/wireless-animation.cc
--- ns-3.42/src/netanim/examples/wireless-animation.cc	2024-05-29 15:29:47.144073700 -0700
+++ ns-3.43/src/netanim/examples/wireless-animation.cc	2024-10-09 16:41:10.068656400 -0700
@@ -1,16 +1,5 @@
 /*
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Vikas Pushkar (Adapted from third.cc)
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/netanim/model/animation-interface.cc ns-3.43/src/netanim/model/animation-interface.cc
--- ns-3.42/src/netanim/model/animation-interface.cc	2024-05-29 15:29:47.144073700 -0700
+++ ns-3.43/src/netanim/model/animation-interface.cc	2024-10-09 16:41:10.068656400 -0700
@@ -1,16 +1,5 @@
 /*
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: George F. Riley<riley@ece.gatech.edu>
  * Modified by: John Abraham <john.abraham@gatech.edu>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/netanim/model/animation-interface.h ns-3.43/src/netanim/model/animation-interface.h
--- ns-3.42/src/netanim/model/animation-interface.h	2024-05-29 15:29:47.144073700 -0700
+++ ns-3.43/src/netanim/model/animation-interface.h	2024-10-09 16:41:10.068656400 -0700
@@ -1,16 +1,5 @@
 /*
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: George F. Riley<riley@ece.gatech.edu>
  * Author: John Abraham <john.abraham@gatech.edu>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/netanim/test/netanim-test.cc ns-3.43/src/netanim/test/netanim-test.cc
--- ns-3.42/src/netanim/test/netanim-test.cc	2024-05-29 15:29:47.144073700 -0700
+++ ns-3.43/src/netanim/test/netanim-test.cc	2024-10-09 16:41:10.068656400 -0700
@@ -1,16 +1,5 @@
 /*
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: John Abraham <john.abraham@gatech.edu>
  * Contributions: Eugene Kalishenko <ydginster@gmail.com> (Open Source and Linux Laboratory
